## mustang-plug 1.2

=== plug/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)

project(plug)


file(GLOB SRC_FILES *.cpp)
file(GLOB UI_FILES *.ui)


find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
set(QT_USE_QTNETWORK TRUE)
set(CMAKE_AUTOMOC TRUE)
qt4_wrap_ui(UI_HDR_FILES ${UI_FILES})


find_library(LIB_USB usb-1.0)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(${PROJECT_NAME} ${SRC_FILES} ${UI_HDR_FILES})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${QT_QTNETWORK_LIBRARY} ${LIB_USB})

## mustang-plug 1.1

=== debian/changelog ===
mustang-plug (1.1-2) unstable; urgency=low

  * Fix firmware update for Mustang III, IV and V.
    Patch taken from upstream VCS.
  * Also update debian/mustang-plug.mustang.udev.

 -- Alessio Treglia <alessio@debian.org>  Fri, 16 Nov 2012 14:33:29 +0000

mustang-plug (1.1-1) unstable; urgency=low

  * New upstream release:
    - Brightness switch in amplifier settings.
    - USB gain knob in advanced controls.
    - Other small fixes.
  * Set source directory to plug by passing -D to dh sequencer.
  * Fix Vcs tags.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 May 2012 19:48:57 +0200

mustang-plug (1.0+20120415.hg107342376977~ds0-1) unstable; urgency=low

  * Initial release. (Closes: #670397)

 -- Alessio Treglia <alessio@debian.org>  Wed, 25 Apr 2012 10:42:30 +0200

=== debian/control ===
Source: mustang-plug
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libqt4-dev,
 libusb-1.0-0-dev
Standards-Version: 3.9.3
Homepage: http://piorekf.org/plug/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mustang-plug.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mustang-plug.git

Package: mustang-plug
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: control Fender Mustang amplifiers
 PLUG was originally created as a Linux replacement for Fender FUSE
 software for Fender Mustang guitar amplifier. Its Qt4-based graphical
 interface allows one to control the amplifier and effect stages of
 all Mustang amplifiers from I to V.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel -Dplug

override_dh_auto_configure:
	dh_auto_configure -- target.path=/usr/bin

override_dh_installudev:
	dh_installudev -pmustang-plug --name=mustang --priority=50

## mustang-plug 1.2

=== debian/changelog ===
mustang-plug (1.2-7) unstable; urgency=medium

  * Team upload.
  * Fix a typo
  * Update d/copyright
  * Update my email address in d/copyright
  * d/control: update description (qt4 -> qt5)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 20 Aug 2025 18:39:39 +0200

mustang-plug (1.2-6) unstable; urgency=medium

  * Team upload.

  * Fixed icon name typo in desktop file.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Jan 2025 07:11:09 +0100

mustang-plug (1.2-5) unstable; urgency=medium

  * Team upload.

  * Added working SVG icon for desktop file to fix AppStream error.
  * Capitalized AppStream summary to keep validator happy.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 11 Jan 2025 08:52:10 +0100

mustang-plug (1.2-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Petter Reinholdtsen ]
  * Changed udev rule to grant device access to console users, not
    plugdev members (Closes: 1076435).
  * Added AppStream metainfo XML with hardware provide info (Closes: #1076433).
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.
  * Switched d/watch to new github home (Closes: #987031).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 06 Jan 2025 07:22:48 +0100

mustang-plug (1.2-3) unstable; urgency=medium

  * Team upload
  * export QT_SELECT=5 to fix future FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Sep 2019 00:11:31 +0200

mustang-plug (1.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Adds a desktop file
  * Installs the desktop file
  * Installs a doc file
  * Adds myself to the d/copyright file

  [ Moritz Mühlenhoff ]
  * Cherrypick upstream for commit for Qt5 and switch the dependencies
    away from  Qt4 (Closes: #875050)
  * Use debhelper compat level 12
  * Bump standards version to 4.4.0

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Sep 2019 22:55:30 +0200

mustang-plug (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Improve hardware support.
  * Drop all patches, they've been applied upstream.
  * Explicitly set qmake as buildsystem.
  * Bump debhelper compatbility.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 26 Apr 2015 20:46:45 +0100

=== debian/control ===
Source: mustang-plug
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 qtbase5-dev,
 libusb-1.0-0-dev
Standards-Version: 4.6.2
Homepage: http://piorekf.org/plug/
Vcs-Git: https://salsa.debian.org/multimedia-team/mustang-plug.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mustang-plug

Package: mustang-plug
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: control Fender Mustang amplifiers
 PLUG was originally created as a Linux replacement for Fender FUSE
 software for Fender Mustang guitar amplifier. Its Qt5-based graphical
 interface allows one to control the amplifier and effect stages of
 all Mustang amplifiers from I to V.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mustang-plug-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/offa/plug/tags .*/v?(\d\S*)\.tar\.gz
